summaryrefslogtreecommitdiffstats
path: root/system/kc/kc.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/kc/kc.SlackBuild')
-rw-r--r--system/kc/kc.SlackBuild71
1 files changed, 27 insertions, 44 deletions
diff --git a/system/kc/kc.SlackBuild b/system/kc/kc.SlackBuild
index cf762d80ae..f69dbaf1db 100644
--- a/system/kc/kc.SlackBuild
+++ b/system/kc/kc.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright (c) 2011-2018 LEVAI Daniel
+# Copyright (c) 2011-2024 LEVAI Daniel
# All rights reserved.
#
# * Redistribution and use in source and binary forms, with or without
@@ -23,26 +23,33 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=kc
-VERSION=${VERSION:-2.4.2}
+VERSION=${VERSION:-2.5.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ];then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ];then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -58,45 +65,17 @@ fi
set -e
-# XXX Upgrade incompatibility notice
-if [ -f /var/log/packages/kc-*_SBo ];then
- typeset -i KC_MINOR=$( ls -1 /var/log/packages/kc-*_SBo |cut -d- -f2 |cut -d. -f2 )
- if [ ${KC_MINOR} -lt 4 ];then
- echo ""
- echo "!!! Incompatibility notice !!!"
- echo ""
- echo "This SlackBuild has detected a version of kc older than 2.4 on your system."
- echo "Starting with version 2.4, kc uses a newer database format."
- echo "What this means is that starting from kc-2.4, it will not be"
- echo "able to open older databases, and an older kc will not be able"
- echo "to open newer databases."
- echo "The recommended upgrade path is detailed in the kc-2.4 package's"
- echo "Changelog file:"
- echo "https://github.com/levaidaniel/kc/blob/2.4/Changelog"
- echo "... but here is a shallow outline of the procedure:"
- echo "1) Dump your database as an XML file with your old kc."
- echo " See the dump command's description."
- echo "2) Upgrade kc to version 2.4 or later."
- echo "3) Create a new empty database."
- echo "4) Import your XML dump into your empty database."
- echo "5) Shred your XML export."
- echo ""
- echo "But really, you should check the Changelog file for detailed instructions."
- echo ""
- echo -n "Type in UPGRADE, if you are ready to upgrade: "; read
-
- if [ "${REPLY}" != 'UPGRADE' ];then
- echo "Not ready to upgrade!"
- exit 1;
- fi
- fi
-fi
+printf "\n\n"
+echo "Please read /usr/doc/$PRGNAM-$VERSION/Changelog.md after installation to see why you might not be able to open your database anymore."
+echo 'Press Ctrl-C within ten seconds to abort, or press enter to continue...'
+read -t 10 || true
+printf "\n\n"
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -106,6 +85,10 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+if [ -n "${PCRE}" ];then
+ PCRE="HAVE_PCRE=y"
+fi
+
if [ -n "${LIBSCRYPT}" ];then
LIBSCRYPT="HAVE_LIBSCRYPT=y"
fi
@@ -114,18 +97,18 @@ if [ -n "${EDITLINE}" ];then
EDITLINE="EDITLINE=y"
fi
-CFLAGS="$SLKCFLAGS" make -f Makefile.linux HAVE_PCRE=y ${LIBSCRYPT} ${EDITLINE}
+CFLAGS="$SLKCFLAGS" make -f Makefile.linux ${PCRE} ${LIBSCRYPT} ${EDITLINE}
make -f Makefile.linux install DESTDIR=$PKG PREFIX=/usr
strip --strip-unneeded $PKG/usr/bin/kc
gzip -9 $PKG/usr/man/man1/kc.1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a Changelog LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a Changelog.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE